## python-sharkiq 1.1.0

=== requirements.txt ===
aiohttp>=3.8.1
requests>=2.27.1

## python-sharkiq 1.0.2

=== debian/changelog ===
python-sharkiq (1.0.2-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Wed, 31 Jul 2024 17:00:43 +0900

python-sharkiq (1.0.2-1) unstable; urgency=medium

  * Initial release. (Closes: #1077019)

 -- Edward Betts <edward@4angle.com>  Thu, 25 Jul 2024 18:12:20 +0900

=== debian/control ===
Source: python-sharkiq
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-aiohttp <!nocheck>,
               python3-all,
               python3-pytest <!nocheck>,
               python3-pytest-asyncio <!nocheck>,
               python3-pytest-cov <!nocheck>,
               python3-requests <!nocheck>,
               python3-setuptools
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/JeffResc/sharkiq-ng
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-sharkiq
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-sharkiq.git

Package: python3-sharkiq
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Python API for controlling Shark IQ robot vacuums
 The Shark IQ library is an unofficial SDK for interactions with Shark IQ robot
 vacuums. It facilitates communication with the Ayla Networks Device API,
 allowing control over vacuum operations. Users can sign in to their accounts,
 retrieve connected devices, alter vacuum settings, and manage device
 properties. This library supports both synchronous and asynchronous
 operations.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=sharkiq

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf sharkiq.egg-info/

=== debian/tests/control ===
Tests: run-tests
Depends: python3-all,
         python3-pytest,
         python3-pytest-asyncio,
         python3-pytest-cov,
         @

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/python-sharkiq-$1\.tar\.gz/ \
  https://github.com/JeffResc/sharkiq-ng/tags .*/v?(\d\S+)\.tar\.gz

## python-sharkiq 1.1.0

=== debian/changelog ===
python-sharkiq (1.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Move packages required for tests to Build-Depends-Indep.
  * Switch to autopkgtest-pkg-pybuild.
  * Update Standards-Version.
  * Update copyright year.
  * Simplify debian/rules.
  * Simplify debian/watch.

 -- Edward Betts <edward@4angle.com>  Sat, 19 Apr 2025 06:30:59 +0100

=== debian/control ===
Source: python-sharkiq
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-aiohttp <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-asyncio <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-requests <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://github.com/JeffResc/sharkiq-ng
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-sharkiq
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-sharkiq.git
Testsuite: autopkgtest-pkg-pybuild

Package: python3-sharkiq
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Python API for controlling Shark IQ robot vacuums
 The Shark IQ library is an unofficial SDK for interactions with Shark IQ robot
 vacuums. It facilitates communication with the Ayla Networks Device API,
 allowing control over vacuum operations. Users can sign in to their accounts,
 retrieve connected devices, alter vacuum settings, and manage device
 properties. This library supports both synchronous and asynchronous
 operations.

## python-sharkiq 1.1.1

=== debian/changelog ===
python-sharkiq (1.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Tue, 08 Jul 2025 17:37:07 +0200

=== debian/watch ===
version=4
https://github.com/JeffResc/sharkiq-ng/tags .*/v?(\d\S+)\.tar\.gz

## python-sharkiq 1.4.2

=== debian/changelog ===
python-sharkiq (1.4.2-1) unstable; urgency=medium

  * New upstream release.
  * Now needs python3-auth0.
  * Add pybuild-plugin-pyproject to Build-Depends.
  * Remove 'Rules-Requires-Root: no', now the default.
  * Update debian/watch to format version 5.
  * Add debian/salsa-ci.yml.

 -- Edward Betts <edward@4angle.com>  Thu, 23 Oct 2025 09:04:52 +0100

=== debian/control ===
--- 
+++ 
@@ -7,15 +7,16 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-setuptools,
 Build-Depends-Indep:
  python3-aiohttp <!nocheck>,
+ python3-auth0 <!nocheck>,
  python3-pytest <!nocheck>,
  python3-pytest-asyncio <!nocheck>,
  python3-pytest-cov <!nocheck>,
  python3-requests <!nocheck>,
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://github.com/JeffResc/sharkiq-ng
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-sharkiq

=== debian/watch ===
Version: 5

Template: Github
Owner: JeffResc
Project: sharkiq-ng

## python-sharkiq 1.5.0

=== debian/changelog ===
python-sharkiq (1.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright.

 -- Edward Betts <edward@4angle.com>  Sat, 06 Dec 2025 09:37:22 +0000
